## switcheroo-control 2.1

=== data/scripts/Makefile ===
all: generate-hwdb

generate-hwdb: generate-hwdb.c
	gcc -Wall -o $@ $< `pkg-config --libs --cflags glib-2.0`

## switcheroo-control 1.1

=== debian/changelog ===
switcheroo-control (1.1-1) unstable; urgency=medium

  * Initial release (Closes: #857503) (LP: #1671828)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 04 Apr 2017 09:34:04 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: switcheroo-control
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: debhelper (>= 10),
               gnome-common,
               gnome-pkg-tools,
               gtk-doc-tools,
               libglib2.0-dev,
               libudev-dev,
               pkg-config (>= 0.22),
               udev,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/switcheroo-control.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/switcheroo-control.git
Homepage: https://github.com/hadess/switcheroo-control

Package: switcheroo-control
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: D-Bus service to check the availability of dual-GPU
 For systems that have both an integrated GPU and a dedicated GPU, this
 package by default will force the integrated GPU to be used to save power.
 .
 You can launch individual apps using the dedicated GPU by running them
 with the environment variable DRI_PRIME=1. Or you can right-click on the
 app (while it's not running) in GNOME Shell's Activities Overview
 and choose the "Launch using Dedicated Graphics Card" option.
 .
 If this default behavior is not appropriate, uninstall this package or
 set xdg.force_integrated=0 as a kernel command-line option in your
 bootloader.

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-gtk-doc \
		--with-systemdsystemunitdir=/lib/systemd/system \
		--with-udevrulesdir=/lib/udev

override_dh_install:
	dh_install --fail-missing

## switcheroo-control 1.2

=== debian/changelog ===
switcheroo-control (1.2-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 21 Jan 2018 11:06:48 -0500

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
-Build-Depends: debhelper (>= 10),
+Uploaders: Jeremy Bicha <jbicha@debian.org>
+Build-Depends: debhelper (>= 11),
                gnome-common,
                gnome-pkg-tools,
                gtk-doc-tools,
@@ -16,8 +16,8 @@
                pkg-config (>= 0.22),
                udev,
 Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/switcheroo-control.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/switcheroo-control.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/switcheroo-control
+Vcs-Git: https://salsa.debian.org/gnome-team/switcheroo-control.git
 Homepage: https://github.com/hadess/switcheroo-control
 
 Package: switcheroo-control

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 
 %:
 	dh $@ --with gnome
@@ -17,4 +17,6 @@
 		--with-udevrulesdir=/lib/udev
 
 override_dh_install:
-	dh_install --fail-missing
+	# The developer documentation isn't very useful
+	rm -rf debian/switcheroo-control/usr/share/gtk-doc
+	dh_install

=== debian/watch ===
version=4
https://github.com/hadess/switcheroo-control/releases \
	.*/@PACKAGE@@ANY_VERSION@\.tar\.xz

## switcheroo-control 1.3.1

=== debian/changelog ===
switcheroo-control (1.3.1-2) unstable; urgency=medium

  * debian/patches/gtk-doc-make.patch:
    - include gtk-doc.make file which is missing from the tarball,
      it's needed to be able to autoreconf the source

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Aug 2019 11:12:47 +0200

switcheroo-control (1.3.1-1) unstable; urgency=medium

  * New upstream version
    - Work-around lack of access to vga_switcheroo when booting with
      SecureBoot enabled (lp: #1768988)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 21 Aug 2019 16:10:03 +0200

switcheroo-control (1.2-2) unstable; urgency=medium

  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 12:38:04 -0500

## switcheroo-control 2.1

=== debian/changelog ===
switcheroo-control (2.1-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 13 Jan 2020 15:10:38 +0100

switcheroo-control (2.0-1) unstable; urgency=medium

  * debian/watch: update for move from github to freedesktop.org
  * New upstream release.
  * Revert "* debian/patches/gtk-doc-make.patch:"
  * Cherry-pick upstream fix GPUs property variant declaration
  * Add libgudev-1.0-dev build-dependency
  * Replace configure option udevrulesdir with hwdbdir

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 15 Dec 2019 12:26:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: switcheroo-control
@@ -7,15 +7,16 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                gnome-common,
                gnome-pkg-tools,
                gtk-doc-tools,
                libglib2.0-dev,
+               libgudev-1.0-dev,
                libudev-dev,
                pkg-config (>= 0.22),
                udev,
-Standards-Version: 3.9.8
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/switcheroo-control
 Vcs-Git: https://salsa.debian.org/gnome-team/switcheroo-control.git
 Homepage: https://github.com/hadess/switcheroo-control

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-gtk-doc \
		--with-systemdsystemunitdir=/lib/systemd/system \
		--with-hwdbdir=/lib/udev/hwdb.d

override_dh_install:
	# The developer documentation isn't very useful
	rm -rf debian/switcheroo-control/usr/share/gtk-doc
	dh_install

## switcheroo-control 2.4

=== meson_options.txt ===
option('systemdsystemunitdir',
  type: 'string',
  value: '',
  description: 'Directory for systemd service files',
)

option('hwdbdir',
  type: 'string',
  value: '',
  description: 'Directory for hwdb files',
)

option('gtk_doc',
  type: 'boolean',
  value: false,
  description: 'Build docs',
)

=== debian/changelog ===
switcheroo-control (2.4-3build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:52:11 +0100

switcheroo-control (2.4-3build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:25:03 +0200

switcheroo-control (2.4-3) unstable; urgency=medium

  * debian/control.in: umockdev is also needed for the tests

 -- Sebastien Bacher <seb128@debian.org>  Mon, 01 Mar 2021 10:37:10 +0100

switcheroo-control (2.4-2) unstable; urgency=medium

  * debian/control.in:
    - Build-Depends on gir1.2-umockdev-1.0, python3-dbus, python3-dbusmock,
      those are needed for the new tests

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 26 Feb 2021 20:06:27 +0100

switcheroo-control (2.4-1) unstable; urgency=medium

  * New upstream version
  * Updated for the new upstream build requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 26 Feb 2021 16:17:31 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,22 @@
 Source: switcheroo-control
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 12),
-               gnome-common,
+               gir1.2-umockdev-1.0,
                gnome-pkg-tools,
                gtk-doc-tools,
                libglib2.0-dev,
                libgudev-1.0-dev,
                libudev-dev,
+               meson (>= 0.50),
                pkg-config (>= 0.22),
+               python3-dbus,
+               python3-dbusmock,
                udev,
+               umockdev,
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/switcheroo-control
 Vcs-Git: https://salsa.debian.org/gnome-team/switcheroo-control.git

=== debian/watch ===
version=4
https://gitlab.freedesktop.org/hadess/switcheroo-control/tags?sort=updated_desc .*/@PACKAGE@@ANY_VERSION@.tar.xz

## switcheroo-control 2.6

=== meson_options.txt ===
--- 
+++ 
@@ -15,3 +15,9 @@
   value: false,
   description: 'Build docs',
 )
+
+option('tests',
+  description: 'Whether to run tests',
+  type: 'boolean',
+  value: false
+)

=== debian/changelog ===
switcheroo-control (2.6-3) unstable; urgency=medium

  * Update debian/watch
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 11:44:43 -0400

switcheroo-control (2.6-2) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Let meson use pkg-config to place udev/systemd files (Closes: #1058858)

  [ Jeremy Bícha ]
  * Stop using debian/control.in and dh-sequence-gnome
  * Update Homepage
  * Update standards version to 4.6.2, no changes needed

  [ Debian Janitor ]
  * Add debian/upstream/metadata

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 04 Jan 2024 17:13:47 -0500

switcheroo-control (2.6-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper-compat to 13
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * debian/control.in: Build-Depend on python3-gi
  * debian/control.in: Set Rules-Requires-Root: no
  * debian/rules: Run tests
  * debian/rules: Drop no-longer-needed -Wl,--as-needed
  * Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 23:34:40 -0400

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,27 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: switcheroo-control
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Sebastien Bacher <seb128@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Sebastien Bacher <seb128@debian.org>
+Build-Depends: debhelper-compat (= 13),
                gir1.2-umockdev-1.0,
-               gnome-pkg-tools,
                gtk-doc-tools,
                libglib2.0-dev,
                libgudev-1.0-dev,
                libudev-dev,
                meson (>= 0.50),
                pkg-config (>= 0.22),
+               python3-gi,
                python3-dbus,
                python3-dbusmock,
+               systemd-dev,
                udev,
                umockdev,
-Standards-Version: 4.3.0
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/switcheroo-control
 Vcs-Git: https://salsa.debian.org/gnome-team/switcheroo-control.git
-Homepage: https://github.com/hadess/switcheroo-control
+Homepage: https://gitlab.freedesktop.org/hadess/switcheroo-control
 
 Package: switcheroo-control
 Architecture: linux-any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dgtk_doc=false \
		-Dtests=true

execute_before_dh_install:
	# The developer documentation isn't very useful
	rm -rf debian/switcheroo-control/usr/share/gtk-doc

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://gitlab.freedesktop.org/hadess/@PACKAGE@/tags?sort=updated_desc \
	-/archive/[\d.]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## switcheroo-control 3.0

=== tests/app/Makefile ===
all: switcheroo-control-test-app.desktop switcheroo-control-test-app

switcheroo-control-test-app.desktop: switcheroo-control-test-app.desktop.in
	cat $< | sed "s,@BINDIR@,`readlink -f ~/.local/bin`," > $@

install: switcheroo-control-test-app.desktop switcheroo-control-test-app
	echo $$PATH | grep -q `readlink -f ~/.local/bin` || exit 1
	install -D switcheroo-control-test-app.desktop ~/.local/share/applications/switcheroo-control-test-app.desktop
	install -D switcheroo-control-test-app ~/.local/bin/

uninstall:
	rm -f ~/.local/share/applications/switcheroo-control-test-app.desktop \
	~/.local/bin/switcheroo-control-test-app

=== debian/changelog ===
switcheroo-control (3.0-2) unstable; urgency=medium

  * Disable non-working features on some architectures to avoid
    failing build tests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 13 Sep 2025 19:23:48 -0400

switcheroo-control (3.0-1) unstable; urgency=medium

  * New upstream release
  * Enable all auto features
  * Add Build-Depends: libdrm-dev
  * Add python3 dependency
  * Add Depends: gir1.2-glib-2.0, python3-gi
  * Remove obsolete Rules-Requires-Root: no field
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Sep 2025 13:01:38 -0400

=== debian/control ===
--- 
+++ 
@@ -4,28 +4,32 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                gir1.2-umockdev-1.0,
                gtk-doc-tools,
+               libdrm-dev,
                libglib2.0-dev,
                libgudev-1.0-dev,
                libudev-dev,
                meson (>= 0.50),
-               pkg-config (>= 0.22),
-               python3-gi,
+               pkgconf,
                python3-dbus,
                python3-dbusmock,
+               python3-gi,
                systemd-dev,
                udev,
-               umockdev,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+               umockdev
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/switcheroo-control
 Vcs-Git: https://salsa.debian.org/gnome-team/switcheroo-control.git
 Homepage: https://gitlab.freedesktop.org/hadess/switcheroo-control
 
 Package: switcheroo-control
 Architecture: linux-any
-Depends: ${misc:Depends},
+Depends: gir1.2-glib-2.0,
+         python3-gi,
+         ${misc:Depends},
+         ${python3:Depends},
          ${shlibs:Depends}
 Description: D-Bus service to check the availability of dual-GPU
  For systems that have both an integrated GPU and a dedicated GPU, this

=== debian/rules ===
--- 
+++ 
@@ -2,14 +2,26 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
+
+ifneq ($(filter armel armhf hppa powerpc,$(DEB_HOST_ARCH)),)
+FEATURE_FLAGS += -Ddrm_xe=disabled
+endif
+
+ifneq ($(filter ppc64 s390x sparc64,$(DEB_HOST_ARCH)),)
+FEATURE_FLAGS += -Dlibdrm_amdgpu=disabled
+endif
+
 
 %:
 	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		-Dauto_features=enabled \
 		-Dgtk_doc=false \
-		-Dtests=true
+		-Dtests=true \
+		$(FEATURE_FLAGS)
+
 
 execute_before_dh_install:
 	# The developer documentation isn't very useful

=== debian/watch ===
Version: 5
Template: GitLab
Dist: https://gitlab.freedesktop.org/hadess/@PACKAGE@
